LINUX.ORG.RU

VmWare 4.5.1 на ядре 2.6.11-mm3 — не собираются модули.


0

0

На этом ядре не могу модули собрать. Есть решение этой проблемы? При сборке выдаёт следущее:

Building the vmnet module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config0/vmnet-only'
make -C /usr/src/linux/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/dist/SOFT/kernel/linux-2.6.11'
CC [M] /tmp/vmware-config0/vmnet-only/driver.o
CC [M] /tmp/vmware-config0/vmnet-only/hub.o
CC [M] /tmp/vmware-config0/vmnet-only/userif.o
In file included from /tmp/vmware-config0/vmnet-only/userif.c:45:
/tmp/vmware-config0/vmnet-only/pgtbl.h: In function `PgtblVa2PTELocked':
/tmp/vmware-config0/vmnet-only/pgtbl.h:81: warning: passing arg 1 of `pmd_offset' from incompatible pointer type
/tmp/vmware-config0/vmnet-only/userif.c: In function `VNetUserIfMapUint32Ptr':
/tmp/vmware-config0/vmnet-only/userif.c:155: warning: `verify_area' is deprecated (declared at include/asm/uaccess.h:105)
/tmp/vmware-config0/vmnet-only/userif.c:156: warning: `verify_area' is deprecated (declared at include/asm/uaccess.h:105)
/tmp/vmware-config0/vmnet-only/userif.c: In function `VNetCopyDatagramToUser':
/tmp/vmware-config0/vmnet-only/userif.c:545: warning: implicit declaration of function `skb_copy_datagram'
CC [M] /tmp/vmware-config0/vmnet-only/netif.o
CC [M] /tmp/vmware-config0/vmnet-only/bridge.o
/tmp/vmware-config0/vmnet-only/bridge.c: In function `VNetBridgeReceiveFromVNet':
/tmp/vmware-config0/vmnet-only/bridge.c:346: error: structure has no member named `wmem_alloc'
make[2]: *** [/tmp/vmware-config0/vmnet-only/bridge.o] Ошибка 1
make[1]: *** [_module_/tmp/vmware-config0/vmnet-only] Ошибка 2
make[1]: Leaving directory `/dist/SOFT/kernel/linux-2.6.11'
make: *** [vmnet.ko] Ошибка 2
make: Leaving directory `/tmp/vmware-config0/vmnet-only'
Unable to build the vmnet module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html"; and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html";.

Execution aborted.

★★★★★

Re: VmWare 4.5.1 на ядре 2.6.11-mm3 — не собираются модули.

Поставь пятую версию вари, там вроде всё пашет.

cyclon ★★★★★ ()

Re: VmWare 4.5.1 на ядре 2.6.11-mm3 — не собираются модули.

2.6.11-mm3 это смешно, поставь хотя бы 2.6.13-mm2

или пройдись по lkml по поисках патчей для 2.6.11-mm3

JB ★★★★★ ()

Re: VmWare 4.5.1 на ядре 2.6.11-mm3 — не собираются модули.

> А почему 11 -- это смешно?

в mm для 2.6.11 багов куча, начиная от сломанного ацпи и заканчивая багами в нтфс

я как раз из за этого и сбежал на 2.6.12-rcX-mmY ;)

JB ★★★★★ ()

Re: VmWare 4.5.1 на ядре 2.6.11-mm3 — не собираются модули.

1) Поставь vmware5.
2) Накати vmware-any-any-update.

Deleted ()

Re: VmWare 4.5.1 на ядре 2.6.11-mm3 — не собираются модули.

>1) Свободно раздаётся на vmware.com

Хорошо сказано. Свободно. Только интернет у меня не свободный :( А что, гдже и как, я как бы знаю. Не первый год в юнихе и в нете.

vovans ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.